Subject: Re: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: Ihor Radchenko <[email-masked]>
Date: Sat, 14 Dec 2019 20:22:11 +0800

> How about "M-x redraw-display RET" -- does that redraw the frame?

Nope.

I only managed to trigger the real redraw (not just the scroll bars) by
toggling the maximised state of the frame. Once I unmaximise the frame
the frame text and cursor are redrawn. Re-maximised is redrawn normally
even if I try to toggle menu-bar-mode multiple times again.

Best,
Ihor

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Date: Sat, 14 Dec 2019 17:38:38 +0800
>> 
>> > OK.  So we have a simpler scenario now.  From the screenshot I cannot
>> > understand where redrawing hangs.  Is input still functional in such a
>> > mangled frame?  Does evaluating (redisplay t) change anything?
>> 
>> The input is functional. I can split windows with C-x 2/3. The frame is
>> partially redrawn (just the scroll bars, as in the screenshot).
>> Blindly running (redisplay t) does nothing.
>
> How about "M-x redraw-display RET" -- does that redraw the frame?